Retrieve a list of ATS job boards

Retrieves job boards configured on ATS for an organization. Use this to list available boards (internal, external, or LinkedIn) before selecting one for job postings or career-page configuration.

Token scopes: ats:read, worker:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitintegerOptional1-100Defaults to 20
Number of items to return
cursorstringOptional
Cursor for pagination

Response

Successfully retrieved job boards
datalist of objects
Page of job boards
has_moreboolean
Indicates if there are more job boards to fetch
next_cursorstring or null
Cursor for the next page of results
total_countinteger
Total number of job boards available

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error